
namespace ChillConnect
{
    public sealed class GameIManager : BaseInterfaceManager<GameIManager>
    {
        private float pauseCacheTimeScale = 1;

        #region Scene

        public void InitialMain()
        {
            SceneManager.Instance.InitialMain();
        }

        public void EnterMain()
        {
            SceneManager.Instance.SwitchScene(SceneManager.DefaultMainSceneIdx);
        }

        #endregion Scene

        #region Msg

        private void AddListener()
        {
        }

        private void RemoveListener()
        {
        }

        #endregion Msg

        #region Private

        public override void Init()
        {
            base.Init();
            AddListener();
        }

        public override void Dispose()
        {
            base.Dispose();
            RemoveListener();
        }

        #endregion Private
    }
}